summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJon TURNEY <jon.turney@dronecode.org.uk>2009-10-20 18:17:46 +0100
committerJamey Sharp <jamey@minilop.net>2009-10-20 14:39:01 -0700
commit8b73c6fc81849350b0ef6efb191016b9c8a1e018 (patch)
tree207c32fc40b24ec7cf71df17a1ba80d9b4819d5a
parenta5a3b3a096dbb268054febdd719d89f91cae8a31 (diff)
Update autogen.sh to one that does builddir != srcdir
-rwxr-xr-xautogen.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index d68a142..904cd67 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,3 +1,12 @@
#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
autoreconf -v --install || exit 1
-./configure "$@"
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"